QGIS Application - Bug report #9651
PostGIS polyhedral and TIN layers not handled anymore
2014-02-25 05:47 AM - Hugo Mercier

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18219
Description

PostGIS tables with geometries of type PolyhedralSurface or TIN cannot be loaded anymore :
- no correct type is detected when using "add a postgres layer" (should be MultiPolygon)
- whatever type is manually selected, it segfaults in QgsGeometry when parsing the wkb

Related issues:
Related to QGIS Application - Bug report # 9032: LINESTRINGM not displayed Closed
Related to QGIS Application - Bug report # 9748: PostGIS table loads but won'... Closed

2013-11-08
2014-03-08

Associated revisions

Revision cb919e97 - 2014-02-26 11:45 AM - Jiirgen Fischer

postgres provider: consider TIN and POLYHEDRALSURFACE as MULTIPOLYGONM (instead of POLYGONM) (fixes #9651)

Revision 9ed98a06 - 2015-03-04 12:28 AM - Jiirgen Fischer

postgres provider: restore behaviour to keep 3d wkb (refs #9651,
followup bd311c8)

Revision c7234cee - 2015-03-04 10:37 AM - Jiirgen Fischer

postgres provider: restore behaviour to keep 3d wkb (refs #9651,

followup bd311c8)

History

#1 - 2014-02-25 07:34 AM - Jiirgen Fischer

Please attach some data.

#2 - 2014-02-26 12:22 AM - Jiirgen Fischer

- Status changed from Open to Feedback

#3 - 2014-02-26 12:37 AM - Hugo Mercier

Data sample, one table with a polyhedral and the other with a TIN :

create table test_polyhedral ( id serial );
select addgeometrycolumn('test_polyhedral', 'geom’, 4326, 'POLYHEDRALSURFACE', 3);
insert into test_polyhedral (id,geom) values (1, 'SRID=4326;POLYHEDRALSURFACE Z(((0 00,0 1 0,1 1 0,1 0 0,0 0 0)))"::geometry);

create table test_tin (id serial );

select addgeometrycolumn('test_tin', 'geom’, 4326, 'TIN', 3);
insert into test_tin (id,geom) values (1, 'SRID=4326;TIN(((0 0 0,0 1 0,1 1 0,0 0 0)))"::geometry);

#4 - 2014-02-26 02:46 AM - Jiirgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"cb919e972e11573fe2a0e58f4d946c6a30c9f792".

#5 - 2014-03-10 11:34 AM - Sandro Santilli

Is commit:.c3a28177 the backport to 2.2 branch ?

#6 - 2014-03-11 01:19 AM - Jiirgen Fischer

Sandro Santilli wrote:

Is commit:c3a28177 the backport to 2.2 branch ?

$ git branch --contains ¢3a28177
release-2_2

2025-04-28 22



